Bug 73033 - EDITING: add ability to play custom animations sequentially
Summary: EDITING: add ability to play custom animations sequentially
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.1.4.2 release
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Sidebar-Custom-Animation ImpressDraw-Enhancements
  Show dependency treegraph
 
Reported: 2013-12-26 01:52 UTC by bugquestcontri
Modified: 2019-01-11 10:55 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bugquestcontri 2013-12-26 01:52:56 UTC
Problem description: 
1 -The "Play" function in Custom Animation is very fast and does not allow judgment of the animation. 
2 - The "Slide Show" button in the Custom Animation window starts the slide show from the beginning and allows the immediate judgment of the current slide

Workaround: 
I use the Shift+F5 button to start the slide show from the current slide

Enhancement requests:
1 - Make the "Play" working in the way that the animation can be seen in each step
Here there are 2 possibilities given:
----- Play nonstop - all animation run automatically that no click is needed
----- Play as in slide show only a bit faster - manual clicks would be needed
2 - Split the "Slide Show" button in the Custom Animation window into 
------- Slide Show from Start
------- Slide Show from Current Slide

I observe the described problems using XP/SP3

Operating System: All
Version: 4.1.4.2 release
Comment 1 raal 2014-12-16 09:08:11 UTC
Hello,
is it still valid with LO 4.3.4? I doesn't see the "Slide Show" button in the Custom Animation window.
Comment 2 bugquestcontri 2014-12-26 15:18:05 UTC
Yes it is still the same in 4.3.5.2.

The Preview button is there but it works only for the top element or the element selected in the custom animation window. 

It is necessary to see how the entire slide is working to judge the customization. Currently to see how it works one always needs to switch into presentation mode.
Comment 3 Buovjaga 2015-01-13 10:52:36 UTC
Edited title and changed to NEW.
Comment 4 mtks+3krr 2017-09-01 23:24:32 UTC
I can confirm this is the current behavior in LO 5.2.7.2 on Debian Stretch x64.
Comment 5 Roman Kuznetsov 2019-01-11 10:55:17 UTC
In

Version: 6.3.0.0.alpha0+
Build ID: 6b4ea2d8ddd681fec98773d7e0bbec9657a1fc08
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded

we don't have different window "Custom Animation", but we have this funtional on Sidebar.
If you want to see how will be show all animations on current slide then just select all animation effects in list on Sidebar and push button "Play"

I think status of this enhancement is WONTFIX now.